org.apache.fop.complexscripts.bidi

## Interface BidiConstants

All Known Implementing Classes:
  UnicodeBidiAlgorithm

    public interface BidiConstants

Constants used for bidirectional processing.

This work was originally authored by Glenn Adams (gadams@apache.org).

### Field Summary

Fields
`static int` `AL` right-to-left arabic class
`static int` `AN` arabic number class
`static int` `B` paragraph separator class
`static int` `BN` boundary neutral class
`static int` `CS` common number separator class
`static int` `EN` european number class
`static int` `ES` european number separator class
`static int` `ET` european number terminator class
`static int` `FIRST` first external (official) category
`static int` `L` left-to-right class
`static int` `LAST` last external (official) category
`static int` `LRE` left-to-right embedding class
`static int` `LRO` left-to-right override class
`static int` `MAX_LEVELS` last /** maximum bidirectional levels
`static int` `NSM` non-spacing mark class
`static int` `ON` other neutrals class
`static int` `OVERRIDE` override flag
`static int` `PDF` pop directional formatting class
`static int` `R` right-to-left class
`static int` `RLE` right-to-left embedding class
`static int` `RLO` right-to-left override class
`static int` `S` segment separator class
`static int` `SURROGATE` placeholder for low surrogate
`static int` `WS` whitespace class

### Field Detail

#### FIRST

    static final int FIRST

first external (official) category

See Also:
  Constant Field Values

#### L

    static final int L

left-to-right class

See Also:
  Constant Field Values

#### LRE

    static final int LRE

left-to-right embedding class

See Also:
  Constant Field Values

#### LRO

    static final int LRO

left-to-right override class

See Also:
  Constant Field Values

#### R

    static final int R

right-to-left class

See Also:
  Constant Field Values

#### AL

    static final int AL

right-to-left arabic class

See Also:
  Constant Field Values

#### RLE

    static final int RLE

right-to-left embedding class

See Also:
  Constant Field Values

#### RLO

    static final int RLO

right-to-left override class

See Also:
  Constant Field Values

#### PDF

    static final int PDF

pop directional formatting class

See Also:
  Constant Field Values

#### EN

    static final int EN

european number class

See Also:
  Constant Field Values

#### ES

    static final int ES

european number separator class

See Also:
  Constant Field Values

#### ET

    static final int ET

european number terminator class

See Also:
  Constant Field Values

#### AN

    static final int AN

arabic number class

See Also:
  Constant Field Values

#### CS

    static final int CS

common number separator class

See Also:
  Constant Field Values

#### NSM

    static final int NSM

non-spacing mark class

See Also:
  Constant Field Values

#### BN

    static final int BN

boundary neutral class

See Also:
  Constant Field Values

#### B

    static final int B

paragraph separator class

See Also:
  Constant Field Values

#### S

    static final int S

segment separator class

See Also:
  Constant Field Values

#### WS

    static final int WS

whitespace class

See Also:
  Constant Field Values

#### ON

    static final int ON

other neutrals class

See Also:
  Constant Field Values

#### LAST

    static final int LAST

last external (official) category

See Also:
  Constant Field Values

#### SURROGATE

    static final int SURROGATE

placeholder for low surrogate

See Also:
  Constant Field Values

#### MAX_LEVELS

    static final int MAX_LEVELS

last /** maximum bidirectional levels

See Also:
  Constant Field Values

#### OVERRIDE

    static final int OVERRIDE

override flag

See Also:
  Constant Field Values